QDBM for C++: qdbm::Villa_error Class Reference

# qdbm::Villa_error Class Reference

Error container for Villa. More...

Inheritance diagram for qdbm::Villa_error:

List of all members.

## Public Member Functions
| Villa_error () throw ()
| Create an instance.
| Villa_error (int ecode) throw ()
| Create an instance.
| Villa_error (const Villa_error &ve) throw ()
| Copy constructor.
virtual | ~Villa_error () throw ()
| Release resources of the instance.
Villa_error & | operator= (const Villa_error &ve) throw ()
| Assignment operator.
Villa_error & | operator= (int ecode) throw ()
| Assignment operator.
virtual bool | operator== (const Villa_error &ve) const throw ()
| Equality operator.
virtual bool | operator!= (const Villa_error &ve) const throw ()
| Inequality operator.
virtual bool | operator== (int ecode) const throw ()
| Equality operator.
virtual bool | operator!= (int ecode) const throw ()
| Inequality operator.
virtual | operator const char * () const throw ()
| Cast operator into pointer to char.
virtual int | code () const throw ()
| Get the error code.
virtual const char * | message () const throw ()
| Get the error message.

## Detailed Description

Error container for Villa.

## Constructor & Destructor Documentation

qdbm::Villa_error::Villa_error | ( | int | ecode | ) | throw ()

Create an instance.

Parameters:

  | ecode | the error code.

qdbm::Villa_error::Villa_error | ( | const Villa_error & | ve | ) | throw ()

Copy constructor.

Parameters:

  | ve | a source instance.

## Member Function Documentation

virtual int qdbm::Villa_error::code | ( |  | ) | const throw ()`[virtual]`

Get the error code.

Returns:
  the error code.

virtual const char* qdbm::Villa_error::message | ( |  | ) | const throw ()`[virtual]`

Get the error message.

Returns:
  the pointer to the string.

Reimplemented from qdbm::DBM_error.

virtual qdbm::Villa_error::operator const char * | ( |  | ) | const throw ()`[virtual]`

Cast operator into pointer to char.

Returns:
  the pointer to the string.

Reimplemented from qdbm::DBM_error.

virtual bool qdbm::Villa_error::operator!= | ( | int | ecode | ) | const throw ()`[virtual]`

Inequality operator.

Parameters:

  | ecode | a comparing error code.

Returns:
  true if both do not equal, else, false.

virtual bool qdbm::Villa_error::operator!= | ( | const Villa_error & | ve | ) | const throw ()`[virtual]`

Inequality operator.

Parameters:

  | ve | a comparing instance.

Returns:
  true if both do not equal, else, false.

Villa_error& qdbm::Villa_error::operator= | ( | int | ecode | ) | throw ()

Assignment operator.

Parameters:

  | ecode | the error code.

Returns:
  reference to itself.

Villa_error& qdbm::Villa_error::operator= | ( | const Villa_error & | ve | ) | throw ()

Assignment operator.

Parameters:

  | ve | a source instance.

Returns:
  reference to itself.

virtual bool qdbm::Villa_error::operator== | ( | int | ecode | ) | const throw ()`[virtual]`

Equality operator.

Parameters:

  | ecode | a comparing error code.

Returns:
  true if both equal, else, false.

virtual bool qdbm::Villa_error::operator== | ( | const Villa_error & | ve | ) | const throw ()`[virtual]`

Equality operator.

Parameters:

  | ve | a comparing instance.

Returns:
  true if both equal, else, false.

The documentation for this class was generated from the following file:

- xvilla.h